org.hibernate.search.query.dsl

## Interface TermContext

- All Superinterfaces:
    QueryCustomization<TermContext>

      public interface TermContext
      extends QueryCustomization<TermContext>

  Author:
    Emmanuel Bernard

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `FuzzyContext` | `fuzzy()` Use a fuzzy search approximation (aka edit distance)
    `TermMatchingContext` | `onField(String field)`
    `TermMatchingContext` | `onFields(String... field)`
    `WildcardContext` | `wildcard()` Treat the query as a wildcard query which means: '?' represents any single character '*' represents any character sequence For faster results, it is recommended that the query text does not start with '?' or '*'.

    - ### Methods inherited from interface org.hibernate.search.query.dsl.QueryCustomization

      `boostedTo, filteredBy, withConstantScore`

- - ### Method Detail

    - #### onField

          TermMatchingContext onField(String field)

      Parameters:
        `field` - The field name the term query is executed on
      Returns:
        `TermMatchingContext` to continue the term query

    - #### onFields

          TermMatchingContext onFields(String... field)

      Parameters:
        `field` - The field names the term query is executed on. The underlying properties for the specified fields need to be of the same type. For example, it is not possible to use this method with a mixture of string and date properties. In the mixed case an alternative is to build multiple term queries and combine them via `QueryBuilder.bool()`
      Returns:
        `TermMatchingContext` to continue the term query

    - #### fuzzy

          FuzzyContext fuzzy()

      Use a fuzzy search approximation (aka edit distance)
      Returns:
        `FuzzyContext` to continue the fuzzy query

    - #### wildcard

          WildcardContext wildcard()

      Treat the query as a wildcard query which means:
      - '?' represents any single character
      - '*' represents any character sequence
      For faster results, it is recommended that the query text does not start with '?' or '*'.
      Returns:
        `WildcardContext` to continue the wildcard query

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved